CartonCloud
CartonCloud API

Outbound Order Items

Endpoints related to Outbound Order Items.


Get a list of items in an Outbound Order

GET
https://api.cartoncloud.com
/tenants/{tenantId}/outbound-orders/{orderId}/items
required permission: VIEW_OUTBOUND_ORDER

Get a list of items in an Outbound Order › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

orderId
​string · uuid · required

Outbound Order Id

Example: 41597723-b4fb-443f-bc98-5457783d97f0

Get a list of items in an Outbound Order › query Parameters

include
​string[] · style: form

Additional fields to include in the response.

Enum values:
allocated

Get a list of items in an Outbound Order › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8
External-Meta-Key
​string

The External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.

Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.

Get a list of items in an Outbound Order › Responses

Success

id
​UUID · uuid
​OutboundItemReferences

Fields uniquely identifying Outbound item

​Properties

Custom and other property values keyed by name.

Custom fields may exist or may be requested by the tenant.

  • For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
  • For Sale Order Product (SOP) custom fields, use sop_custom_field_1, sop_custom_field_2, and so on.
  • For other entities such as Purchase Order Product and Product, use custom_field_1, custom_field_2, and so on.
​object
type
​string · enum
Enum values:
ITEM
Default: ITEM
​object
​ExternalMeta

External Metadata by a specific External meta key

​Stock[]

List of Stock items allocated to this item. May be undefined or empty if no stock has been allocated yet.